<?php
function Easy_activity_log($responseback, $userid = "")
{
    $remote_ip = $_SERVER["REMOTE_ADDR"];
    if( $remote_ip == "::1" ) 
    {
        $remote_ip = "localhost";
    }

    static $username = NULL;
    if( !isset($username) ) 
    {
        if( isset($_SESSION["adminid"]) ) 
        {
            $tbladmins = Illuminate\Database\Capsule\Manager::table("tbladmins")->where("id", "=", $_SESSION["adminid"])->select("username")->get();
            $data = json_decode(json_encode($tbladmins[0]), true);
            $username = $data["username"];
        }
        else
        {
            if( isset($_SESSION["cid"]) ) 
            {
                $username = "Sub-Account " . $_SESSION["cid"];
            }
            else
            {
                if( isset($_SESSION["uid"]) ) 
                {
                    $username = "Client";
                }
                else
                {
                    $username = "System";
                }

            }

        }

    }

    if( !$userid && isset($_SESSION["uid"]) ) 
    {
        $userid = $_SESSION["uid"];
    }

    Illuminate\Database\Capsule\Manager::table("Easy_Activity_logs")->insert(array( "date" => date("Y-m-d h:i:s"), "description" => $responseback, "user" => $username, "userid" => $userid, "ipaddr" => $remote_ip ));
}

function Easy_Module_logs($action, $request, $response)
{
    Illuminate\Database\Capsule\Manager::table("Easy_Module_logs")->insert(array( "date" => date("Y-m-d h:i:s"), "action" => $action, "request" => $request, "response" => $response ));
}

function GetAdminDetails()
{
    try
    {
        $records = Illuminate\Database\Capsule\Manager::table("tbladmins")->where("roleid", 1)->first();
        $response = array( "result" => "success", "records" => $records );
    }
    catch( Exception $e ) 
    {
        $response = array( "result" => "error", "message" => "There is error while getting the record.Error :- " . $e->getMessage() );
    }
    return $response;
}

function getpaymentmethod()
{
    $admin = getadmindetails();
    $command = "GetPaymentMethods";
    $postData = array(  );
    $adminUsername = $admin["records"]->username;
    $results = localAPI($command, $postData, $adminUsername);
    return $results["paymentmethods"]["paymentmethod"];
}

function getunpaidinvoices($id)
{
    $admin = getadmindetails();
    $command = "GetInvoices";
    $postData = array( "userid" => $id, "status" => "Unpaid" );
    $adminUsername = $admin["records"]->username;
    $results = localAPI($command, $postData, $adminUsername);
    return $results["totalresults"];
}

function getpaidinvoices($id)
{
    $admin = getadmindetails();
    $command = "GetInvoices";
    $postData = array( "userid" => $id, "status" => "Paid" );
    $adminUsername = $admin["records"]->username;
    $results = localAPI($command, $postData, $adminUsername);
    return $results["totalresults"];
}

function getProductDetails($pid)
{
    $sql = Illuminate\Database\Capsule\Manager::table("tblproducts")->where("id", "=", $pid)->get();
    return $sql;
}

function getAllServices($start, $num)
{
    $array2 = Illuminate\Database\Capsule\Manager::table("tblhosting")->offset($start)->limit($num)->orderBy("tblhosting.id", "DESC")->get();
    foreach( $array2 as $value ) 
    {
        $array[] = get_object_vars($value);
    }
    return $array;
}

function easy_getCurrency()
{
    $admin = getadmindetails();
    $command = "GetCurrencies";
    $postData = array(  );
    $adminUsername = $admin["records"]->username;
    $res = localAPI($command, $postData, $adminUsername);
    return $res;
}

function easy_getClientGroup()
{
    $group = Illuminate\Database\Capsule\Manager::table("tblclientgroups")->get();
    return $group;
}

function easy_delete_modules($src)
{
    $dir = opendir($src);
    while( false !== ($file = readdir($dir)) ) 
    {
        if( $file != "." && $file != ".." ) 
        {
            $full = $src . "/" . $file;
            if( is_dir($full) ) 
            {
                easy_delete_modules($full);
            }
            else
            {
                unlink($full);
            }

        }

    }
    closedir($dir);
    $res = rmdir($src);
    if( $res == "0" ) 
    {
        $error = error_get_last();
        $res = $error["message"];
    }

    return $res;
}

function easy_getProductId($serviceid)
{
    $pid = Illuminate\Database\Capsule\Manager::table("tblhosting")->where("id", "=", $serviceid)->value("packageid");
    return $pid;
}

function easy_getfieldid($pid)
{
    $count = Illuminate\Database\Capsule\Manager::table("tblcustomfields")->where("type", "=", "product")->where("fieldname", "=", "friendlyname")->where("relid", "=", $pid)->count();
    if( $count == 0 ) 
    {
        $fieldid = Illuminate\Database\Capsule\Manager::table("tblcustomfields")->insertGetId(array( "type" => "product", "relid" => $pid, "fieldname" => "friendlyname", "fieldtype" => "text", "adminonly" => "on" ));
        return $fieldid;
    }

    $fieldid = Illuminate\Database\Capsule\Manager::table("tblcustomfields")->where("type", "=", "product")->where("fieldname", "=", "friendlyname")->where("relid", "=", $pid)->value("id");
    return $fieldid;
}

function easy_getCustomFieldsValues($customfieldid, $serviceid)
{
    $value = Illuminate\Database\Capsule\Manager::table("tblcustomfieldsvalues")->where("fieldid", $customfieldid)->where("relid", $serviceid)->value("value");
    return $value;
}

function easy_updateCustomFieldsValues($customfieldid, $serviceid, $newvalue)
{
    Illuminate\Database\Capsule\Manager::table("tblcustomfieldsvalues")->where("fieldid", $customfieldid)->where("relid", $serviceid)->update(array( "value" => $newvalue ));
}

function easy_insertCustomFieldsValues($customfieldid, $serviceid, $newvalue)
{
    $count = Illuminate\Database\Capsule\Manager::table("tblcustomfieldsvalues")->where("fieldid", $customfieldid)->where("relid", $serviceid)->count();
    if( $count == "0" ) 
    {
        Illuminate\Database\Capsule\Manager::table("tblcustomfieldsvalues")->insert(array( "fieldid" => $customfieldid, "relid" => $serviceid, "value" => $newvalue ));
    }

}

function easy_getconfigarray()
{
    $config = Illuminate\Database\Capsule\Manager::table("tbladdonmodules")->where("module", "Easy_WHMCS")->get();
    foreach( $config as $value ) 
    {
        $newconfig[$value->setting] = $value->value;
    }
    return $newconfig;
}


